# Piped

[![Matrix](https://img.shields.io/matrix/piped:matrix.org)](https://matrix.to/#/#piped:matrix.org)
![Netlify](https://img.shields.io/netlify/6ccde6a7-6792-4105-9a28-ee13ce1fbc44)
[![GitHub Repo stars](https://img.shields.io/github/stars/TeamPiped/Piped-Frontend?style=social)](https://github.com/TeamPiped/Piped/stargazers)
[![GitHub last commit](https://img.shields.io/github/last-commit/TeamPiped/Piped-Frontend)](https://github.com/TeamPiped/Piped/commits)

An alternative YouTube frontend which is efficient by design.

## Features:

-   [x] No Ads
-   [x] No Tracking
-   [x] Infinite Scrolling
-   [x] Integration with SponsorBlock
-   [x] Integration with LBRY
-   [x] 4K support
-   [x] No connections to Google's servers
-   [x] Playing just audio
-   [x] Livestreams support with a quality selector
-   [x] PWA support
-   [x] Preferences saved locally
-   [x] Multi-region loadbalancing
-   [x] Performant by design, designed to handle 1000s of users concurrently

## WIP

-   [ ] Proper video support Blocked by NPE[#461](https://github.com/TeamNewPipe/NewPipeExtractor/issues/461)
-   [ ] Login
-   [ ] Comments
-   [ ] Feeds
-   [ ] 8K support
-   [ ] Custom extractor for streams?
-   [ ] Video Muxing

## Development Setup

```
yarn install
```

### Compiles and hot-reloads for development

```
yarn serve
```

You can now make changes and see them as soon you save the file!

## YourKit

<img src="http://www.yourkit.com/images/yklogo.png"></img>

YourKit has given an open source license for their profiler, greatly simplifying the profiling of Piped's performance.

YourKit supports open source projects with its full-featured Java Profiler.
YourKit, LLC is the creator of <a href="http://www.yourkit.com/java/profiler/index.jsp">YourKit Java Profiler</a>
and <a href="http://www.yourkit.com/.net/profiler/index.jsp">YourKit .NET Profiler</a>,
innovative and intelligent tools for profiling Java and .NET applications.
